Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » JST Server Adapters twice in Galielo Site
JST Server Adapters twice in Galielo Site [message #232899] Thu, 25 June 2009 04:46 Go to next message
Eclipse User
Originally posted by: jmordax.terra.es

Hi, I am installing WTP 3.1 from Galileo Site and I see JST Server
Adapters twice:

JST Server Adapters 3.1.0.v20090311b-777HFDNCcNBBz-BcKW6EGF
JST Server Adapters 3.1.0.v20090311c-20-7w311A1422c

Should I install both? Just the second one that with letter c at the end
could mean it is most recent?

Thanks in advance,

Chemi.
Re: JST Server Adapters twice in Galielo Site [message #232908 is a reply to message #232899] Thu, 25 June 2009 04:50 Go to previous messageGo to next message
Eclipse User
Originally posted by: jmordax.terra.es

Chemi wrote:
> Hi, I am installing WTP 3.1 from Galileo Site and I see JST Server
> Adapters twice:
>
> JST Server Adapters 3.1.0.v20090311b-777HFDNCcNBBz-BcKW6EGF
> JST Server Adapters 3.1.0.v20090311c-20-7w311A1422c
>
> Should I install both? Just the second one that with letter c at the
> end could mean it is most recent?
>
> Thanks in advance,
>
> Chemi.
Ok. I answer my own question... with: JST Server Adapters
3.1.0.v20090311c-20-7w311A1422c I have just Basic servers. And after
install: JST Server Adapters 3.1.0.v20090311b-777HFDNCcNBBz-BcKW6EGF
I have the rest ones...

Is there any reason for this? I think this didn't happened with 3.0.x,
right?

Regards,

Chemi.
Re: JST Server Adapters twice in Galielo Site [message #232935 is a reply to message #232899] Thu, 25 June 2009 06:52 Go to previous messageGo to next message
Eclipse User
Originally posted by: mauro.molinari.cardinis.com

Chemi ha scritto:
> Hi, I am installing WTP 3.1 from Galileo Site and I see JST Server
> Adapters twice:
>
> JST Server Adapters 3.1.0.v20090311b-777HFDNCcNBBz-BcKW6EGF
> JST Server Adapters 3.1.0.v20090311c-20-7w311A1422c
>
> Should I install both? Just the second one that with letter c at the end
> could mean it is most recent?
>
> Thanks in advance,
>
> Chemi.

I noticed the same problem. I thought about installing just the first
because its version seems "newer"...

I also noticed many new packages for WTP 3.1 (like JST Server Adapters,
JST Server UI, JST Web UI, WST Server Adapters) that did not exist for
3.0.x. I find it quite confusing because it's not clear what they are
for (and why they are not included in the "main" Web Developer Tools
and JavaEE Developer Tools software packages).

Mauro.
Re: JST Server Adapters twice in Galielo Site [message #232943 is a reply to message #232908] Thu, 25 June 2009 13:07 Go to previous messageGo to next message
Eclipse User
Originally posted by: david_williams.linux.vnet.ibm.com

Chemi wrote:
> ...
> Is there any reason for this? I think this didn't happened with 3.0.x,
> right?
>
The reason is that we were working on some "repackaging" of server
adapters, but only got the work half done this release.
https://bugs.eclipse.org/bugs/show_bug.cgi?id=247891
Does seem we could have named the features better, at least. Sorry for
the confusion.
Re: JST Server Adapters twice in Galielo Site [message #232959 is a reply to message #232935] Thu, 25 June 2009 13:14 Go to previous messageGo to next message
Eclipse User
Originally posted by: david_williams.linux.vnet.ibm.com

Mauro Molinari wrote:
> ...
> I also noticed many new packages for WTP 3.1 (like JST Server
> Adapters, JST Server UI, JST Web UI, WST Server Adapters) that did not
> exist for 3.0.x. I find it quite confusing because it's not clear what
> they are for (and why they are not included in the "main" Web
> Developer Tools
> and JavaEE Developer Tools software packages).
Apologies for leaving these "exposed" in a confusing manner. They
actually did exist before, but were more "hidden". I'd plan to "hide" in
this release too (in a different way than before) but didn't quite
finish before the deadline, so thought best to leave them exposed,
rather than risk someone not installing them. Hopefully, you, and
others, can see just to "install it all" if there's any doubts about
what to select.
Re: JST Server Adapters twice in Galielo Site [message #233012 is a reply to message #232959] Fri, 26 June 2009 12:24 Go to previous message
Eclipse User
Originally posted by: mauro.molinari.cardinis.com

David Williams ha scritto:
> Mauro Molinari wrote:
> Apologies for leaving these "exposed" in a confusing manner. They
> actually did exist before, but were more "hidden". I'd plan to "hide" in
> this release too (in a different way than before) but didn't quite
> finish before the deadline, so thought best to leave them exposed,
> rather than risk someone not installing them. Hopefully, you, and
> others, can see just to "install it all" if there's any doubts about
> what to select.

Ok, thank you David for your answer. Maybe your work could be completed
for the next minor-release (like 3.1.1)?

Mauro.
Previous Topic:one or more required items could not be found
Next Topic:galileo: network connections proxy setup not working
Goto Forum:
  


Current Time: Wed Jul 23 18:21:58 EDT 2014

Powered by FUDForum. Page generated in 0.02425 seconds